TTS_fnc_addCustomMagazineAmmoCargo = {
	/*
	Author: TittErS
	Description: addCustomMagazineAmmoCargo adds a magazine(s) with a number defined bullet in to cargo.
	
	Parameter(s):
		0,1,2,.. : ARRAY		- Array Magazine.
			0 : STRING			- Magazine Name. (cfgMagazines).
			1 : NUMBER			- Ammo Number. Number of bullets in the magazine.
		..,(last) : OBJECT		- Destination. Add the magazine to Cargo ...

	Usage :
		[ ["MagazineName", AmmoNumber], Destination]
		OR
		[ ["MagazineName", AmmoNumber], ["MagazineName", AmmoNumber], ["MagazineName", AmmoNumber], Destination]
	
	Usage example :
		[ ["30Rnd_65x39_caseless_mag",8], box2] spawn TTS_fnc_addCustomMagazineAmmoCargo;
		[ ["30Rnd_65x39_caseless_mag",8], ["30Rnd_65x39_caseless_mag",8], ["30Rnd_65x39_caseless_mag",15], box1] spawn TTS_fnc_addCustomMagazineAmmoCargo;
	
	Returns:
		NONE
	*/
	///////////////////////////////////////////////////////////////////////////////////////////////////////////
	private["_d","_g","_u","_t"];
	_d = _this select (count _this - 1);
	if(typename _d == "OBJECT") then {
		_g = createGroup sideLogic;
		_u = _g createUnit ["C_man_1", ATLToASL[random 20,random 20,0], [], 0, "NONE" ];
		_u disableAI "MOVE";
		{
			_u switchMove "AidlPercMstpSnonWnonDnon_AI";
			_u addMagazine [_x select 0,_x select 1];
			_t = time+3;
			waitUntil{sleep 0.02; _u action ["DropMagazine", _d , _x select 0]; !(_x select 0 in magazines _u) or time >= _t};
		} forEach _this-[_d],
		deleteVehicle _u;
		deleteGroup _g;
	};
	true
};




