TTS_fnc_addCustomWeaponCargo = {
	/*
	Author: TittErS
	Description: addCustomWeaponCargo adds a weapon(s) with a number defined bullet and items in to cargo.
	
	Parameter(s):
		0,1,2,.. : ARRAY		- Array Custom Weapon :
			0 : STRING			- Weapon Name. (CfgWeapons).
			1,2,.. : ARRAY		- Array Magazine. (Array Optional) Add a magazine with number defines bullet to weapon : 
				0 : STRING 			- Magazine name. (cfgMagazines).
				1 : NUMBER			- Ammo Number. Number of bullets in the magazine
			1,2,.. : STRING 		- Item Name. (Optional) Attach Item at weapon.
		..,(last) : OBJECT		- Destination. Add the custom weapon to ...

	Usage : 
		[ ["WeaponName", ["MagazineName",AmmoNumber], "ItemName"], Destination ]
		OR
		[ ["WeaponName", ["MagazineName",AmmoNumber], ["MagazineName",AmmoNumber], "ItemName", "ItemName", "ItemName"], Destination ]
		OR
		[ ["WeaponName", "ItemName", "ItemName"], Destination ]
		OR (add 2,3,4,..  weapons)
		[ ["WeaponName", ["MagazineName",AmmoNumber], "ItemName"], ["WeaponName", ["MagazineName",AmmoNumber], "ItemName"], ["WeaponName", ["MagazineName",AmmoNumber], "ItemName"], Destination ]
		
	Usage example :
		[ ["arifle_Katiba_GL_F", ["30Rnd_65x39_caseless_green",15], ["1Rnd_HE_Grenade_shell",1], "muzzle_snds_H", "acc_flashlight", "optic_Arco"], box2 ] spawn TTS_fnc_addCustomWeaponCargo;
		[ ["hgun_P07_F", ["16Rnd_9x21_Mag",2], "muzzle_snds_L"], box2 ] spawn TTS_fnc_addCustomWeaponCargo;
		[ ["arifle_MX_Black_F", "muzzle_snds_H"], box2 ] spawn TTS_fnc_addCustomWeaponCargo;

		[ ["arifle_MX_Black_F", ["30Rnd_65x39_caseless_mag",30], "muzzle_snds_H"], ["arifle_MX_Black_F", ["30Rnd_65x39_caseless_mag",15]], box2 ] spawn TTS_fnc_addCustomWeaponCargo;
	
	Returns:
		NONE
	*/
	///////////////////////////////////////////////////////////////////////////////////////////////////////////
	private["_d","_g","_u","_t"];
	_d = _this select (count _this - 1);
	if(typename _d == "OBJECT") then {
		_g = createGroup sideLogic;
		_u = _g createUnit ["C_man_1", ATLToASL[0,0,0], [], 0, "NONE" ];
		_u disableAI "MOVE";
		{
			_u switchMove "AidlPercMstpSnonWnonDnon_AI";
			if(({typename _x == "ARRAY"} count _x) > 0) then {
				{
					if(typename _x == "ARRAY") then {
						_u addMagazine [_x select 0,_x select 1];
					};
				} foreach _x;
			};
			_u addWeapon (_x select 0);
			if(({typename _x == "STRING"} count _x) > 1) then {
				{
					if(typename _x == "STRING") then {
						_u addPrimaryWeaponItem _x;
						_u addSecondaryWeaponItem _x;
						_u addHandgunItem _x;
					}
				} foreach _x-[_x select 0];
			};
			_t = time+3;
			waitUntil{sleep 0.02; _u action ["DropWeapon", _d, _x select 0]; !(_x select 0 in weapons _u) or time >= _t};
		} forEach _this-[_d],
		deleteVehicle _u;
		deleteGroup _g;
	};
	true
};


